Bug 117302

Summary: [curl] Custom HTTP method support
Product: WebKit Reporter: Peter Gal <galpeter>
Component: WebCore Misc.Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: bfulgham, ossy
Priority: P2 Keywords: Curl
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 117300    
Attachments:
Description Flags
proposed patch none

Description Peter Gal 2013-06-06 08:41:15 PDT
The curl backend does not support custom http methods. For example one can not issue an XMLHTTPRequest with a method "MYMETHOD", the backend will issue instead a simple "GET" request.
Comment 1 Peter Gal 2013-06-06 09:22:38 PDT
Created attachment 203941 [details]
proposed patch
Comment 2 Kenneth Rohde Christiansen 2013-06-08 04:15:32 PDT
Comment on attachment 203941 [details]
proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=203941&action=review

> Source/WebCore/ChangeLog:10
> +
> +        No new tests, already covered by existing ones like:
> +        http/tests/xmlhttprequest/workers/methods.html
> +        http/tests/xmlhttprequest/workers/methods-async.html

you dont need to update the result then?
Comment 3 Peter Gal 2013-06-08 04:31:15 PDT
(In reply to comment #2)
> (From update of attachment 203941 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=203941&action=review
> 
> > Source/WebCore/ChangeLog:10
> > +
> > +        No new tests, already covered by existing ones like:
> > +        http/tests/xmlhttprequest/workers/methods.html
> > +        http/tests/xmlhttprequest/workers/methods-async.html
> 
> you dont need to update the result then?

No, because the results are OK. The tests were failing before.
Comment 4 Csaba Osztrogon√°c 2013-06-11 09:37:29 PDT
Comment on attachment 203941 [details]
proposed patch

Clearing flags on attachment: 203941

Committed r151441: <http://trac.webkit.org/changeset/151441>
Comment 5 Csaba Osztrogon√°c 2013-06-11 09:37:34 PDT
All reviewed patches have been landed.  Closing bug.